import createJITI from "jiti";
import path from "path";
import { fileURLToPath } from "url";

const __filename = fileURLToPath(import.meta.url);
const __dirname = path.dirname(__filename);

const jiti = createJITI(undefined, {
  interopDefault: true,
  requireCache: false,
  esmResolve: true,
  nativeModules: ["acorn"],
});

// This still succeeds
const resolve1 = jiti.resolve(__dirname + "/vite.config", {
  paths: [__dirname],
});

// This fails
const resolve2 = jiti(resolve1);
